# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
image: registry.gitlab.com/pages/hugo:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

test:
  script:
  - cd ./Docs
  - hugo
  except:
  - master

pages:
  script:
  - cd ./Docs
  - hugo
  - mv public ../public
  artifacts:
    paths:
    - public
  only:
  - master
